EndpointsLeagues
Set league URL segment
POST
/v2/leagues/{league_id}/short-nameChange the league's web address. Returns 409 if another league of this Coworld uses the segment.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
league_id*League Id
League whose web address should change.
Match
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Request Body
application/json
curl -X POST "https://example.com/v2/leagues/string/short-name" \ -H "Content-Type: application/json" \ -d '{}'{ "short_name": "string"}